MLAPI API Reference

# NetId Methods

[This is preliminary documentation and is subject to change.]

The NetId type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current NetId. (Overrides ValueType Equals(Object).)
| GetClientId | Gets the clientId.
| GetHashCode | Serves as a hash function for a NetId object. (Overrides ValueType GetHashCode .)
| GetType | (Inherited from Object.)
| IsHost | Returns wheter or not the clientId represents a -1
| IsInvalid | Returns if this is a invalid clientId, (-2)
| ToString | (Inherited from ValueType.)

Top
See Also

#### Reference

NetId Structure
MLAPI.Data Namespace